Loading...
Searching...
No Matches
inertia.h

The inertia term of the Navier-Stokes equation with the discontinuous Galerkin method – di Pietro & Ern variant. More...

Go to the source code of this file.

## Functions

template<class W, class U, class V>
form | inertia (W w, U u, V v, integrate_option iopt=integrate_option())
field | inertia_fix_rhs (test v, integrate_option iopt=integrate_option())

## Detailed Description

The inertia term of the Navier-Stokes equation with the discontinuous Galerkin method – di Pietro & Ern variant.

This file is part of Rheolef.

Copyright (C) 2000-2009 Pierre Saramito Pierr.nosp@m.e.Sa.nosp@m.ramit.nosp@m.o@im.nosp@m.ag.fr

Rheolef is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

Rheolef is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with Rheolef; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Definition in file inertia.h.

## Function Documentation

## inertia()

template<class W, class U, class V>

form inertia | ( | W | w,
|  | U | u,
|  | V | v,
|  | integrate_option | iopt = integrate_option() )

Examples
  inertia.h, inertia_cks.icc, navier_stokes_dg1.icc, navier_stokes_taylor_dg.cc, and navier_stokes_upw_dg.icc.

Definition at line 26 of file inertia.h.

## inertia_fix_rhs()

field inertia_fix_rhs | ( | test | v,
|  | integrate_option | iopt = integrate_option() )

Examples
  inertia.h, inertia_cks.icc, navier_stokes_dg1.icc, and navier_stokes_taylor_dg.cc.

Definition at line 37 of file inertia.h.